## [version: 1.6.0] - 30.07.2021

* feat: Improve buffering indicator

## [version: 1.5.0] - 02.07.2021

* feat: Re-initialize tivio if new instance of webview is created
* feat: Add logging to sentry

## [version: 1.4.0] - 22.06.2021

* feat: Toggle UI on tap outside of controls
* feat: Add top left option to custom layout
* feat: Hide controls by default
* feat: Always show buffering indicator
* fix: Fix issues with 15sec forward/backward

## [version: 1.3.0] - 16.06.2021

* feat: Add customization of player controls layout
* feat: Add error screen with retry button
* fix: Fix disproportionate buffer indicator on iOS

## [version: 1.2.8] - 14.06.2021

* fix: Don't hide player controls while buffering
* fix: Fix bouncing of progress bar on iOS

## [version: 1.2.7] - 14.06.2021

* feat: Add buffering indicator
* fix: Improved player controls responsiveness

## [version: 1.2.6] - 11.06.2021

* fix: Rebuilded bridge

## [version: 1.2.5] - 11.06.2021

* fix: Ignore development flag (force use resolver-no-remote-config)

## [version: 1.2.4] - 10.06.2021

* fix: Use new version of remote code resolver (resolver-no-remote-config)

## [version: 1.2.3] - 10.06.2021

* fix: Use new version of remote code resolver

## [version: 1.2.2] - 01.06.2021

* fix: Fix issue with video playback on iOS
* fix: Fix issue with 15s forward/backward seek
* fix: Keep video player UI shown if user perform any other action

## [version: 1.2.0] - 27.05.2021

* fix: Preserve fullscreen mode
* fix: Play videos on iOS

## [version: 1.2.0] - 14.05.2021

* feat: Migrate to null safety

## [version: 1.1.1] - 11.05.2021

* feat: Add support for customization colors in player

## [version: 1.1.0] - 11.05.2021

* feat: Add tivio skin of player

## [version: 1.0.0] - 06.05.2021

* feat: Add support of ads in player

## [version: 1.0.0-rc.9] - 05.05.2021

* fix: Fetch all data attributes at once

## [version: 1.0.0-rc.8] - 30.04.2021

* feat: Upgrade internal dependencies

## [version: 1.0.0-rc.7] - 27.04.2021

* feat: Add logger

## [version: 1.0.0-rc.6] - 26.04.2021

* fix: Unify names of subscribeToRecent methods

## [version: 1.0.0-rc.5] - 22.04.2021

* docs: Update documentation

## [version: 1.0.0-rc.4] - 22.04.2021

* feat: Add better example
* feat: Add setUser api
* fix: Enable multiple instances of streams
* refactor: Remove deprecated code

## [1.0.0-rc.3] - 21.04.2021

* feat: Add reactive api based on streams

## [1.0.0-rc.2] - 16.04.2021

* docs: Update readme

## [1.0.0-rc.1] - 16.04.2021

* feat: Add getChannelById
* feat: Add getVideoById
* feat: Add search channels
* feat: Add search videos
* feat: Add language support
* feat: Change api of TivioWidget mixin

## [0.0.3] - 12.04.2021

* feat: Improve example

## [0.0.2] - 12.04.2021

* docs: Update README

## [0.0.1] - 09.04.2021

* Initialize project
