import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';

class ScreensPage extends StatelessWidget {
  final Tivio _tivio;

  ScreensPage(this._tivio);

  @override
  Widget build(BuildContext context) {
    /*var screen = _tivio.subscribeToScreen(screenId: '7hFheSRqxBhU9urQGfBc');

    screen.stream.listen((event) {
      print('screen id: ${event.id}, name: ${event.name}, description: ${event.description}');

      //print('large asset: ${event.assets['name_of_asset'].large.background}');

      event.rows.forEach((row) {
        print('---');
        print('row id: ${row.id}, name: ${row.name}, description: ${row.description}, itemComponent: ${row.itemComponent}, rowComponent: ${row.rowComponent}');
        if (row.assets['test_asset'] != null) {
          print('large asset: ${row.assets['test_asset'].large.background}');
        }
      });
    });*/

    //await Future.delayed(Duration(seconds: 3));

    var items = _tivio.subscribeToItemsInRow(rowId: 'KCl61ro4xtntVtf5cXgq');

    items.stream.listen((event) {
      event.records.forEach((record) {
        if (record.type == TivioRowItemType.Video && record.video != null) {
          print('row item id: ${record.video.id}, name: ${record.name}, url: ${record.video.url}');
          //print('large asset: ${record.assets['name_of_asset'].large.background}');
        }
      });
    });

    return Scaffold(
      appBar: AppBar(
        title: Text('Screens test page'),
      ),
    );
  }
}
