import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';

class TivioPlayerPlayImmediately extends StatelessWidget {
  final Tivio tivio;
  final String videoId;
  final String videoUrl;

  TivioPlayerPlayImmediately({
    this.tivio,
    this.videoId,
    this.videoUrl,
  });

  @override
  Widget build(BuildContext context) {
    var data = Map();
    data['id'] = videoId;
    data['name'] =  'Demo video 1';
    data['url'] = videoUrl;

    return Scaffold(
      appBar: AppBar(title: Text('Episode 1')),
      body: Container(
        child: TivioPlayer(
          playerId: 'demo',
          tivio: tivio,
          startInFullscreen: true,
          tivioVideoSource: TivioDataVideo.fromJson(data),
        ),
      ),
    );
  }
}
