class BetterPlayerUiPressControls {
  final Function onPlayPressed;
  final Function onPausePressed;
  final Function onForwardPressed;
  final Function onBackwardPressed;
  final Function onEnterFullscreenPressed;
  final Function onExitFullscreenPressed;
  final Function onSeekingStarted;
  final Function(Duration position) onSeekingEnded;

  BetterPlayerUiPressControls({
    required this.onPlayPressed,
    required this.onPausePressed,
    required this.onForwardPressed,
    required this.onBackwardPressed,
    required this.onEnterFullscreenPressed,
    required this.onExitFullscreenPressed,
    required this.onSeekingStarted,
    required this.onSeekingEnded,
  });
}
