import 'package:flutter/material.dart';
import '../enums/tivio_player_layout.dart';

class TivioPlayerLayout {
  final TivioPlayerLayoutTopLeft? topLeft;
  final Widget? topLeftCustomWidget;
  final TivioPlayerLayoutTopRight? topRight;
  final Widget? topRightCustomWidget;
  final TivioPlayerLayoutBottomRight? bottomRight;

  TivioPlayerLayout({
    this.topLeft,
    this.topLeftCustomWidget,
    this.topRight,
    this.topRightCustomWidget,
    this.bottomRight = TivioPlayerLayoutBottomRight.toggleFullscreen,
  });
}
